Main Page Class List Class Members

# Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder Class Reference

`#include <NvBlastExtLlSerialization.capn.h>`

List of all members.

## Public Types
typedef NvBlastChunk | Builds
## Public Member Functions
void | adoptCentroid (::capnp::Orphan< ::capnp::List< float >> &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::List< float > ::Builder | getCentroid ()
bool | hasCentroid ()
inline::capnp::List< float > ::Builder | initCentroid (unsigned int size)
| operator Reader () const
void | setCentroid (::kj::ArrayPtr< const float > value)
void | setCentroid (::capnp::List< float >::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const

## Member Typedef Documentation

typedef NvBlastChunk Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::adoptCentroid | ( | ::capnp::Orphan< ::capnp::List< float >> && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::asReader | ( |  | ) | const`[inline]`

inline ::capnp::List<float>::Builder Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::getCentroid | ( |  | ) |

bool Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::hasCentroid | ( |  | ) | `[inline]`

inline ::capnp::List<float>::Builder Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::initCentroid | ( | unsigned int | size | ) |

Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::setCentroid | ( | ::kj::ArrayPtr< const float > | value | ) | `[inline]`

void Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::setCentroid | ( | ::capnp::List< float >::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::NvBlastChunk::NvBlastChunk::Builder::totalSize | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtLlSerialization.capn.h